@import "/scss/var.scss";

// Đánh giá 
.box-vote {
    border-bottom: 1px solid var(--gray100);
    padding-bottom: 40px;
    margin-bottom: 24px;
    @extend .box-comment;

    &__head {
        margin-bottom: 55px;

        &>.flex {
            justify-content: space-between;

            .vote {
                width: 500px;
            }

            .vote-chart {
                width: 215px;
            }
        }

        .photograph-user {
            &__gallery {
                li {
                    width: 60px;
                    margin-right: 6px;
                    border-radius: 4px;
                    overflow: hidden;

                    .count {
                        font-size: 18px;
                        color: #FFFFFF;
                        position: absolute;
                        top: 50%;
                        text-align: center;
                        left: 0;
                        right: 0;
                        transform: translate(0, -50%);
                    }

                    &.last-count {
                        .thumb_img {
                            background: #7A8088;

                            img {
                                opacity: 0.3;
                            }
                        }
                    }
                }
            }
        }
    }

    .title_cate {
        margin-bottom: 16px;
    }

    .vote {
        .number {
            margin: 1px 16px 0 0;
            font-size: 52px;
            font-weight: bold;
        }

        ul {
            li {
                display: inline-block;

                svg {
                    width: 32px;
                    height: 32px;
                }

                &.active {
                    svg {
                        color: var(--color_main)
                    }
                }
            }
        }

        .line {
            margin: 6px 0 0 10px;
            font-size: 14px;
        }

    }

    .vote-chart {
        width: 210px;

        ul {
            li {
                position: relative;
                padding-left: 20px;
                margin-bottom: 15px;

                .number {
                    position: absolute;
                    font-size: 14px;
                    left: 0;
                    top: -10px;
                }

                .chart {
                    background: var(--gray50);
                    border-radius: 4px;
                    height: 4px;
                    position: relative;

                    span {
                        background: var(--color_main);
                        border-radius: 4px;
                        height: 4px;
                        position: absolute;
                        left: 0;

                        &.chart_90 {
                            width: 90%;
                        }

                        &.chart_80 {
                            width: 80%;
                        }

                        &.chart_70 {
                            width: 70%;
                        }

                        &.chart_60 {
                            width: 60%;
                        }

                        &.chart_50 {
                            width: 50%;
                        }

                        &.chart_40 {
                            width: 40%;
                        }

                        &.chart_30 {
                            width: 30%;
                        }

                        &.chart_20 {
                            width: 20%;
                        }

                        &.chart_10 {
                            width: 10%;
                        }

                        &.chart_5 {
                            width: 5%;
                        }
                    }
                }
            }
        }
    }

    @media (max-width: 1025px) {
        .vote {
            span {
                font-size: 24px
            }

            ul {
                li {
                    svg {
                        width: 20px;
                        height: 20px;
                    }
                }
            }

            .btn-default {
                margin-top: 10px;
            }
        }
    }
}


.box-comment {
    font-size: 14px;
    margin-bottom: 60px;

    p {
        margin-bottom: 5px;
    }

    .list-comments {
        &__items {
            margin-top: 20px;
            position: relative;

            .title {
                font-weight: bold;
                font-size: 20px;
                margin-bottom: 5px;
            }

            .author {
                display: flex;
                align-items: center;
                margin-bottom: 8px;

                .date {
                    font-size: 12px;
                    color: var(--gray500);
                    margin-left: 8px;
                }
            }

            .ava {
                width: 72px;
                height: 72px;
                border-radius: 50%;
                overflow: hidden;
                margin-right: 16px;
                float: left;
                line-height: 72px;
                font-weight: 600;
                text-align: center;
                background: #e3e7ef;
                font-size: 18px;
            }

            .comment_mini {
                overflow: hidden;
                border-bottom: 1px solid var(--gray100);
                padding-bottom: 16px;
                margin-bottom: 16px;

                .name {
                    font-size: 16px;
                    margin-bottom: 5px;
                    display: flex;

                    ul {
                        margin: -3px 8px 0 0;

                        li {
                            display: inline-block;

                            svg {
                                width: 20px;
                                height: 20px;
                            }

                            &.active {
                                svg {
                                    color: var(--color_main)
                                }
                            }
                        }
                    }
                }

                .comment_textarea {
                    margin-top: 10px;

                    textarea {
                        height: 60px;
                    }

                    .submit-comment {
                        position: static;
                        float: right;
                        margin-top: 10px;
                        color: #fff;
                    }
                }
            }

            .date {
                font-size: 12px;
                color: var(--gray500);
            }

            .description {
                color: #414956;
                font-size: 16px;
                width: 100%;
                margin-top: 10px;
                clear: both;

                p {
                    margin-bottom: 10px;
                }
            }

            .reply {
                display: flex;
                align-items: center;

                &_number {
                    color: var(--gray500);
                    font-weight: 400;
                    margin-right: 10px;
                }

                &_a {
                    color: var(--color_main);
                }

                .date {
                    margin-left: 6px;
                }
            }

            .comment_reply {
                padding-left: 88px;
            }
        }

        .view-all {
            &:hover {
                color: $color2-hover;
            }
        }

        &.cm_hoidap {
            .list-comments__items {
                border-bottom: 1px solid var(--gray100);
                padding-bottom: 23px;
            }

            .ava {
                width: 46px;
                height: 46px;
                margin-right: 5px;
		line-height: 1;
            }

            .comment_mini {
                border-bottom: 0;
                padding-bottom: 0;
                margin-bottom: 0;

                .name {
                    margin-bottom: 2px;
                }
            }

        }
    }

    .comment_textarea {
        position: relative;
        font-size: 0;
        margin-bottom: 28px;

        textarea {
            background: var(--gray50);
            height: 120px;
            padding: 16px;
            width: 100%;
            border: 1px solid var(--gray50);
            border-radius: 4px;
            resize: none;
            outline: 0;
        }

        .submit-comment {
            width: 63px;
            text-align: center;
            height: 36px;
            background: var(--color_main);
            border-radius: 56px;
            border: 0;
            outline: 0;
            position: absolute;
            bottom: 20px;
            right: 16px;
            color: #fff;
            cursor: pointer;
        }
    }


    .view-more {
        display: block;
        margin-top: 30px;
        
    }
}

@media (max-width: 480px) {

    .box-comment,
    .box-vote {
        padding-bottom: 0;
        margin-bottom: 0;
        .list-comments {
            &__items {
                .ava {
                    width: 32px;
                    height: 32px;
                    line-height: 32px;
                    text-align: center;
                }

                .comment_reply {
                    padding-left: 48px;
                }
            }
        }
    }

    .box-vote {
        margin-bottom: 16px;
        padding-bottom: 16px;
    }

    .box-comment {
        .view-more {
            margin-top: 16px;
        }
    }

    .box-vote {
        .title_cate {
            margin-bottom: 8px;
        }

        &__head {
            margin: 32px 0 16px;

            &>.flex {
                .vote {
                    width: 100%;
                    padding-right: 0;

                    .flex {
                        display: block
                    }

                    span {
                        display: block;
                        font-size: 20px
                    }

                    .number {
                        font-size: 24px
                    }

                    .photograph-user {
                        margin: 10px 0;
                    }

                    .line {
                        font-size: 12px;
                        margin-left: 0;
                    }
                }

                .vote-chart {
                    width: 100%;
                    margin-top: 16px;
                }
            }



            .btn-default {
                display: block;
                font-size: 14px;
                line-height: 36px;
                height: 36px;
            }
        }
    }
}